Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#26 08-10-2017 20:13:16

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : win10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.12.0-2-amd64 (stretch)
(G)UI : GNOME 3.22.2 (stretch) 3.26.0 (buster)
Inscription : 11-03-2017

Re : Les paquets cassés de VLC [RESOLU]

j'avais pas fait gaffe . oui tu as raison chalu (sur les fichiers de pinning) . je viens tout juste de m'en apercevoir .

sinon , j'ai oublié la cerise sur le gâteau :

# apt policy vlc



vlc:
  Installé : 1:2.2.6-dmo2+deb9u1
  Candidat : 1:2.2.6-dmo2+deb9u1
 Table de version :
 *** 1:2.2.6-dmo2+deb9u1 100
        100 http://www.deb-multimedia.org stretch/main amd64 Packages
        100 /var/lib/dpkg/status
     2.2.6-1~deb9u1 500
        500 http://ftp.fr.debian.org/debian stretch/main amd64 Packages
 



en tenant compte des lignes de apt policy , pour installer vlc , on peut faire (c'est même recommandé) :

# apt -t 9.1 -s install vlc


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
vlc is already the newest version (1:2.2.6-dmo2+deb9u1).
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  linux-headers-4.9.0-3-amd64 linux-headers-4.9.0-3-common
  linux-image-4.9.0-3-amd64 linux-kbuild-4.11 linux-kbuild-4.9
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 14 non mis à jour.



ou

# apt -t 9.2 -s install vlc


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
vlc is already the newest version (1:2.2.6-dmo2+deb9u1).
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  linux-headers-4.9.0-3-amd64 linux-headers-4.9.0-3-common
  linux-image-4.9.0-3-amd64 linux-kbuild-4.11 linux-kbuild-4.9
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 2 non mis à jour.



"-s"  c'est pour dire à apt de simuler . autrement dit , aucune opération n'est faite , ni sur le disque , ni dans le systeme .

si tu veux installer depuis deb-multimedia ,
la section -t 9.1 ou -t 9.2 correspond au numéro de release dans apt policy :

100 http://www.deb-multimedia.org stretch-backports/main amd64 Packages
    release v=9.1,o=Unofficial Multimedia Packages,a=stable-backports,n=stretch-backports,l=Unofficial Multimedia Packages,c=main,b=amd64
     origin www.deb-multimedia.org
100 http://www.deb-multimedia.org stretch/non-free i386 Packages
   release v=9.2,o=Unofficial Multimedia Packages,a=stable,n=stretch,l=Unofficial Multimedia Packages,c=non-free,b=i386
     origin www.deb-multimedia.org



ou , dans mon cas (plutôt d'ailleurs , c'est plus simple) :

# apt -s install vlc


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
vlc is already the newest version (1:2.2.6-dmo2+deb9u1).
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  linux-headers-4.9.0-3-amd64 linux-headers-4.9.0-3-common
  linux-image-4.9.0-3-amd64 linux-kbuild-4.11 linux-kbuild-4.9
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 14 non mis à jour.

Dernière modification par Debian Alain (08-10-2017 20:19:30)


1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#27 08-10-2017 20:33:31

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Les paquets cassés de VLC [RESOLU]

chalu a écrit :

Croutons si ça te dit tu peux tester ton fichier préférences avec deb-multimedia stretch-backports, je pense qu'il ne devrait pas fonctionner pour ce dépôt



voici:

cat /etc/apt/sources.list.d/multimedia.list


deb http://www.deb-multimedia.org stretch main non-free
deb http://www.deb-multimedia.org stretch-backports main



cat /etc/apt/preferences.d/50multimedia


Package: *
Pin: release o=Unofficial Multimedia Packages,n=stretch
Pin-Priority: 100



apt update



apt policy


Fichiers du paquet :
 100 /var/lib/dpkg/status
     release a=now
 500 http://www.deb-multimedia.org stretch-backports/main i386 Packages
     release v=9.1,o=Unofficial Multimedia Packages,a=stable-backports,n=stretch-backports,l=Unofficial Multimedia Packages,c=main,b=i386
     origin www.deb-multimedia.org
 100 http://www.deb-multimedia.org stretch/non-free i386 Packages
     release v=9.2,o=Unofficial Multimedia Packages,a=stable,n=stretch,l=Unofficial Multimedia Packages,c=non-free,b=i386
     origin www.deb-multimedia.org
 100 http://www.deb-multimedia.org stretch/main i386 Packages
     release v=9.2,o=Unofficial Multimedia Packages,a=stable,n=stretch,l=Unofficial Multimedia Packages,c=main,b=i386
     origin www.deb-multimedia.org
 100 http://deb.debian.org/debian stretch-backports/non-free i386 Packages
     release o=Debian Backports,a=stretch-backports,n=stretch-backports,l=Debian Backports,c=non-free,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian stretch-backports/contrib i386 Packages
     release o=Debian Backports,a=stretch-backports,n=stretch-backports,l=Debian Backports,c=contrib,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian stretch-backports/main i386 Packages
     release o=Debian Backports,a=stretch-backports,n=stretch-backports,l=Debian Backports,c=main,b=i386
     origin deb.debian.org
 500 http://security.debian.org stretch/updates/non-free i386 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=non-free,b=i386
     origin security.debian.org
 500 http://security.debian.org stretch/updates/contrib i386 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=contrib,b=i386
     origin security.debian.org
 500 http://security.debian.org stretch/updates/main i386 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=main,b=i386
     origin security.debian.org
 500 http://deb.debian.org/debian stretch-updates/main i386 Packages
     release o=Debian,a=stable-updates,n=stretch-updates,l=Debian,c=main,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian stretch/non-free i386 Packages
     release v=9.2,o=Debian,a=stable,n=stretch,l=Debian,c=non-free,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian stretch/contrib i386 Packages
     release v=9.2,o=Debian,a=stable,n=stretch,l=Debian,c=contrib,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian stretch/main i386 Packages
     release v=9.2,o=Debian,a=stable,n=stretch,l=Debian,c=main,b=i386
     origin deb.debian.org
Paquets épinglés :


bug ? j'ai release v=9.1 a 500 et la derniere release v=9.2 a 100scratchhead.gif

Dernière modification par Croutons (08-10-2017 20:35:09)


banner223x19.png, WikiDF-->Découvrir les principales commandes Linux
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#28 08-10-2017 20:42:07

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : win10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.12.0-2-amd64 (stretch)
(G)UI : GNOME 3.22.2 (stretch) 3.26.0 (buster)
Inscription : 11-03-2017

Re : Les paquets cassés de VLC [RESOLU]

croutons , essaie peut être en rajoutant les mêmes lignes avec n=stretch-backports à la  fin  .

ta commande avec n=stretch n'est déjà pas mauvaise , peut être qu'il te manque cette ligne là .

regarde mon post #25 et mon essai (transformé !)

1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#29 08-10-2017 21:05:38

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Les paquets cassés de VLC [RESOLU]

Tu peux faire comme Debian Alain pour ton fichier de préférences ou alors en plus court comme dans le post #16

Package: *
Pin: origin "www.deb-multimedia.org"
Pin-Priority: 100


ça vient du wiki Debian Facile et ça fonctionne bien chez moi smile
Sinon les commandes avec les numéros de version vont installer vlc depuis le dépôt multimédia je crois alors que ce n'est pas utile, la commande habituelle devrait passer sauf s'il y a déjà un mélange de paquets avec le dépôt multimédia

J'espère qu'avec tout ça Gedeon54 va s'y retrouver idea.gif

Hors ligne

#30 09-10-2017 09:44:35

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : win10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.12.0-2-amd64 (stretch)
(G)UI : GNOME 3.22.2 (stretch) 3.26.0 (buster)
Inscription : 11-03-2017

Re : Les paquets cassés de VLC [RESOLU]

pour synthétiser nos efforts , je dirai bien à Gedeon54 de regarder de préférence les posts #16 , #25 et #29 (surtout celui là) .

je comprends ton inquiétude chalu . inquiétude que je partage car , ayant moi - mème cherché le post  #16 , hier , je ne l'ai pas trouvé ,
dans toute cette prose .

je crois que j'ai été trop bavard (malheur à moi) .

espérons que nos efforts à tous trois n'ont pas été vains .

d'ailleurs , pour être parfait , je crois que gedeon54 devrait créer du pinning pour les autres entrées (également) de son /sources.list.d/

afin de garder stretch à 500 et les autres entrées à 100 . mais , ça , c'est une autre histoire .....

reste que ma démarche est assez scolaire (post #25)

un peu à l'opposée de celle de chalu (post #16 e t #29) , beaucoup plus concise et tout aussi efficace .

ma démarche est détaillée , celle de  chalu , compacte mais elle fonctionne tout aussi bien .

chalu , d'ailleurs , je dois le reconnaître , a très bien lu le wki D-F sur le  pinning . mieux que moi .


salutation amicales

kenavo

Alain

ps : pour memoire , pour gedeon54 , voici 2/3 liens à potasser :
le sources.list de stretch (stable) XXX important XXX
à propos de httpredir --- bon à savoir ---
le pinning <<< a étudier >>>
le site de deb-multimedia --- en option --- (normalement , gedeon54 est assez instruit sur ce site , il n'a pas besoin de ce lien)

Dernière modification par Debian Alain (09-10-2017 21:39:57)


1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#31 09-10-2017 09:46:21

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Les paquets cassés de VLC [RESOLU]

yes.gifavec origin tout est pris en compte cela fonctionne au poil
bon après il faut voir ce que donne le résultat de l'installation de vlc chez Gedeon54

banner223x19.png, WikiDF-->Découvrir les principales commandes Linux
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#32 10-10-2017 01:37:22

Gedeon54
Membre
Distrib. : Handylinux 2.5 sous Debian 9 (Stretch)
Noyau : 4.9.0-3-amd64
(G)UI : XFCE + Gnome Shell
Inscription : 13-05-2017

Re : Les paquets cassés de VLC [RESOLU]

Encore une fois merci.
Je vais donc reconstruire toute ma source de dépôts en suivant les indications d'Alain. Tout effacer et reprendre à zéro en quelque sorte.  Un peu c... pour une seule appli récalcitrante, mais après tout, on ne risque pas grand chose. On verra bien l'issue. Ou faute de mieux,  installer une appli qui joue à peu près le même rôle que VLC (à savoir lecture de multimédia), comme Parole ou Totem. Bien que nettement moins complets, ils peuvent l'un ou l'autre suffire dans la plupart des cas.
Une petite question: avant toute tentative de réinstallation de VLC, ne faut il pas tout effacer y compris sa config (car il fonctionnait tb avant) ?
Autre toute petite info lue sur le site de VLC:

"Debian testing (stretch)
VLC is in testing.
But due to the way testing works, we can't guarantee if the latest version is available.
Install vlc, browser-plugin-vlc, the usual way you do it."


Un lien avec mon souci?
Je vous tiens au courant. wink

Dernière modification par Gedeon54 (10-10-2017 01:48:08)

Hors ligne

#33 10-10-2017 08:14:22

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : win10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.12.0-2-amd64 (stretch)
(G)UI : GNOME 3.22.2 (stretch) 3.26.0 (buster)
Inscription : 11-03-2017

Re : Les paquets cassés de VLC [RESOLU]

je te conseilles de créer le sources.list suivant
tu n'as qu'à faire un copier - coller dans un sources.list que tu auras créé ou dans le tien que tu auras remis à zéro 
pour les couleurs , ne t'inquiètes pas . ce sont les balises sur le forum qui font ça .
après création du sources.list et du fichier de pinning (posts #16 , #25 et #29 au choix) , tu fais un

apt update && apt policy


en root et tu nous poste tout ça . ça devrait aller bien comme il faut .

#
# sources.list stretch non-free
#
# Debian stretch, dépôt principal + paquets non libres
deb http://deb.debian.org/debian/ stretch main contrib non-free
# Debian stretch, mises-à-jour de sécurité + paquets non libres
deb http://security.debian.org/ stretch/updates main contrib non-free
# Debian stretch, mises-à-jour "volatiles" + paquets non libres
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
# Debian stretch, dépôt de rétroportages ("backports")
deb http://deb.debian.org/debian stretch-backports main contrib non-free
#
# plus deb-multimedia
#
deb ftp://ftp.deb-multimedia.org stretch main non-free
deb ftp://ftp.deb-multimedia.org stretch-backports main



directement inspiré de là : sources list de stretch
et de là : dépôt multimedia

attention : on parle bien de /etc/apt/sources.list   et non pas de /etc/apt/sources.list.d/ !
mais si tu y tiens , tu peux créer un fichier /sources.list.d/ uniquement  avec le dépôt multimédia tel que écrit plus haut .
dans ce cas , tu retires le dépôt multimédia du sources.list .

n'oublie pas non plus  le fichier de pinning (posts #16 , #25 ou #29)
directement inspiré de là : le pinning sous debian

et tout devrait rentrer dans l'ordre (post #26) .

n.b.: en préalable à toute opération sur ton sources.list , tu peux faire ceci
pour le sauvegarder . en cas de lézard sur ton nouveau sources list , tu pourra le  recopier depuis l'ancien .

mv /etc/apt/sources.list  /etc/apt/sources.list.bak


puis , pour le créer , si tu disposes de nano :

nano /etc/apt/sources.list


et tu copies - colles  ton sources.list
explications sur la  commande mv
à lire aussi et à garder sous le coude

Dernière modification par Debian Alain (10-10-2017 16:27:51)


1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#34 11-10-2017 00:55:39

Gedeon54
Membre
Distrib. : Handylinux 2.5 sous Debian 9 (Stretch)
Noyau : 4.9.0-3-amd64
(G)UI : XFCE + Gnome Shell
Inscription : 13-05-2017

Re : Les paquets cassés de VLC [RESOLU]

Bonsoir et bravo pour votre suivi attentif et votre abnégation! wink
Voilà j'ai suivi scrupuleusement le dernier post d'Alain D. J'ai un "sources.list" repeint à neuf et un fichier "préférences" tel qu'au post #29.
Oui.. mais..voilà..quand je veux installer VLC, le problème reste entier. Aucune amélioration. Le message reste identique à mon post#1
Décourageant... Bon, c'est un échec, je crois que je vais laisser tomber. "Parole" fera un honnête remplaçant.
Merci, de toute façon j'aurai appris pas mal de choses avec vous. smile Le problème vient d'ailleurs sans doute!
Je laisse à tout hasard mon dernier "apt-policy" (et sources.list) pour les amateurs scratchhead.gif


100 /var/lib/dpkg/status
     release a=now
 500 [url]http://repo.vivaldi.com/stable/deb[/url] stable/main amd64 Packages
     release o=Vivaldi Technologies,a=stable,l=Official Vivaldi package repository,c=main,b=amd64
     origin repo.vivaldi.com
 500 [url]https://repo.skype.com/deb[/url] stable/main amd64 Packages
     release o=. stable,a=stable,n=stable,l=. stable,c=main,b=amd64
     origin repo.skype.com
 500 [url]http://repo.handylinux.org/debian[/url] jessie/main amd64 Packages
     release o=handylinux.org,n=jessie,l=handylinux repository,c=main,b=amd64
     origin repo.handylinux.org
 500 [url]http://dl.google.com/linux/chrome/deb[/url] stable/main amd64 Packages
     release v=1.0,o=Google, Inc.,a=stable,n=stable,l=Google,c=main,b=amd64
     origin dl.google.com
 500 [url]ftp://ftp.deb-multimedia.org[/url] stretch-backports/main amd64 Packages
     release v=9.1,o=Unofficial Multimedia Packages,a=stable-backports,n=stretch-backports,l=Unofficial Multimedia Packages,c=main,b=amd64
     origin [url=ftp://ftp.deb-multimedia.org]ftp.deb-multimedia.org[/url]
 500 [url]ftp://ftp.deb-multimedia.org[/url] stretch/non-free amd64 Packages
     release v=9.2,o=Unofficial Multimedia Packages,a=stable,n=stretch,l=Unofficial Multimedia Packages,c=non-free,b=amd64
     origin [url=ftp://ftp.deb-multimedia.org]ftp.deb-multimedia.org[/url]
 500 [url]ftp://ftp.deb-multimedia.org[/url] stretch/main amd64 Packages
     release v=9.2,o=Unofficial Multimedia Packages,a=stable,n=stretch,l=Unofficial Multimedia Packages,c=main,b=amd64
     origin [url=ftp://ftp.deb-multimedia.org]ftp.deb-multimedia.org[/url]
 100 [url]http://deb.debian.org/debian[/url] stretch-backports/non-free amd64 Packages
     release o=Debian Backports,a=stretch-backports,n=stretch-backports,l=Debian Backports,c=non-free,b=amd64
     origin deb.debian.org
 100 [url]http://deb.debian.org/debian[/url] stretch-backports/contrib amd64 Packages
     release o=Debian Backports,a=stretch-backports,n=stretch-backports,l=Debian Backports,c=contrib,b=amd64
     origin deb.debian.org
 100 [url]http://deb.debian.org/debian[/url] stretch-backports/main amd64 Packages
     release o=Debian Backports,a=stretch-backports,n=stretch-backports,l=Debian Backports,c=main,b=amd64
     origin deb.debian.org
 500 [url]http://deb.debian.org/debian[/url] stretch-updates/main amd64 Packages
     release o=Debian,a=stable-updates,n=stretch-updates,l=Debian,c=main,b=amd64
     origin deb.debian.org
 500 [url]http://security.debian.org[/url] stretch/updates/non-free amd64 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=non-free,b=amd64
     origin security.debian.org
 500 [url]http://security.debian.org[/url] stretch/updates/contrib amd64 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=contrib,b=amd64
     origin security.debian.org
 500 [url]http://security.debian.org[/url] stretch/updates/main amd64 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=main,b=amd64
     origin security.debian.org
 500 [url]http://deb.debian.org/debian[/url] stretch/non-free amd64 Packages
     release v=9.2,o=Debian,a=stable,n=stretch,l=Debian,c=non-free,b=amd64
     origin deb.debian.org
 500 [url]http://deb.debian.org/debian[/url] stretch/contrib amd64 Packages
     release v=9.2,o=Debian,a=stable,n=stretch,l=Debian,c=contrib,b=amd64
     origin deb.debian.org
 500 [url]http://deb.debian.org/debian[/url] stretch/main amd64 Packages
     release v=9.2,o=Debian,a=stable,n=stretch,l=Debian,c=main,b=amd64
     origin deb.debian.org



Et mon sources.list:

# Debian stretch, dépôt principal + paquets non libres
deb [url]http://deb.debian.org/debian/[/url] stretch main contrib non-free
# Debian stretch, mises-à-jour de sécurité + paquets non libres
deb [url]http://security.debian.org/[/url] stretch/updates main contrib non-free
# Debian stretch, mises-à-jour "volatiles" + paquets non libres
deb [url]http://deb.debian.org/debian/[/url] stretch-updates main contrib non-free
# Debian stretch, dépôt de rétroportages ("backports")
deb [url]http://deb.debian.org/debian[/url] stretch-backports main contrib non-free
#
# plus deb-multimedia
#
deb [url]ftp://ftp.deb-multimedia.org[/url] stretch main non-free
deb [url]ftp://ftp.deb-multimedia.org[/url] stretch-backports main

Dernière modification par Gedeon54 (11-10-2017 01:43:52)

Hors ligne

#35 11-10-2017 06:35:52

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Les paquets cassés de VLC [RESOLU]

Avec les adresses du dépôt multimédia en ftp de Debian Alain, je ne sais pas pourquoi il a changé pour ftp, mais dans ce cas le fichier de préférences est


Package: *
Pin: origin "ftp.deb-multimedia.org"
Pin-Priority : 100
 


Ensuite tu fais

sudo apt update

puis

apt policy


et tu dois avoir 100 et non 500 devant chaque ligne du dépôt multimédia.
Tant que ce n'est pas ainsi, les mises à jour peuvent se faire sur ce dépôt et causer des soucis, ce qui est peut être déjà le cas si ça fait un moment que c'est comme ça.
Une fois que ce sera bon, tu nous donneras le retour des commandes

apt policy vlc


sudo apt -s install vlc

Hors ligne

#36 11-10-2017 09:49:36

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : win10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.12.0-2-amd64 (stretch)
(G)UI : GNOME 3.22.2 (stretch) 3.26.0 (buster)
Inscription : 11-03-2017

Re : Les paquets cassés de VLC [RESOLU]

zut ! , j'ai gaffé .  sad

j'aurai mieux fait de la fermer  au lieu de donner de mauvais conseils  .   hmm

oui , chalu a raison . yikes

bon , en même temps , c'est pas  grand chose . le sources list va déjà mieux . wink

moi qui pensais bien agir , fais  comme  dit chalu dans son dernier post ( #35 ) elle a raison .
(surtout si tu ne veux pas modifier ton sources.list , c'est plus imple) out.gif


si tu veux pas modifier ton fichier de pinning , tu peux modifier les lignes du dépôt multimedia de ton sources.list comme suit  :

deb http://www.deb-multimedia.org stable main non-free
deb http://www.deb-multimedia.org stable-backports main



je  te demande pardon pour mon erreur . j'aime bien le ftp , c'est pour, ça . excuses .

pris là : dépôt multimédia

pour stretch , pour le deb-multimedia des backports , tu as ce choix :

For stretch-backports (stable-backports) amd64, arm64, armel, armhf, i386, mips and mipsel packages
add in your /etc/apt/sources.list
non-free is for i386 and amd64 arches only.

apt-get install must be called with the -t option “-t stable-backports” in order to install packages from stable-backports.

deb http://www.deb-multimedia.org stretch main non-free
deb http://www.deb-multimedia.org stretch-backports main

or

deb ftp://ftp.deb-multimedia.org stretch main non-free
deb ftp://ftp.deb-multimedia.org stretch-backports main

or

deb http://www.deb-multimedia.org stable main non-free
deb http://www.deb-multimedia.org stable-backports main

or

deb ftp://ftp.deb-multimedia.org stable main non-free
deb ftp://ftp.deb-multimedia.org stable-backports main



merci à chalu big_smile

nb : explicattions
explications sur le sources.list de debian
explications sur le pinning de debian

Dernière modification par Debian Alain (11-10-2017 11:01:50)


1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#37 11-10-2017 09:57:48

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 3.16.0-4-amd64 - 3.16.39-1
(G)UI : gnome 1:3.14+3
Inscription : 21-10-2008

Re : Les paquets cassés de VLC [RESOLU]

Debian Alain a écrit :

moi qui pensais bien agir


S'il n'y avait de petits cailloux sur les chemin, il n'y aurait pas d'étoiles dans la nuit...
Reste et continue comme tu es !
yes.gif


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#38 11-10-2017 11:50:16

Gedeon54
Membre
Distrib. : Handylinux 2.5 sous Debian 9 (Stretch)
Noyau : 4.9.0-3-amd64
(G)UI : XFCE + Gnome Shell
Inscription : 13-05-2017

Re : Les paquets cassés de VLC [RESOLU]

Merci pour la correction de Chalu. Alain Debian, tu es pardonné!
Mais que l'on mette "www" ou "ftp"  rien n'y fait. Je viens de vérifier avec "apt policy" (que je ne reposterai pas cette fois ci, histoire de ne pas trop polluer le site) chacun des dépôts multimedia est toujours précédé de la priorité 500. Donc inutile de vous dire que rien ne change pour VLC! Il doit y avoir un vice caché! kernal_panic.gif

Hors ligne

#39 11-10-2017 11:55:13

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : win10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.12.0-2-amd64 (stretch)
(G)UI : GNOME 3.22.2 (stretch) 3.26.0 (buster)
Inscription : 11-03-2017

Re : Les paquets cassés de VLC [RESOLU]

et tu as tapé cette commande à chaque fois : ?

apt update && apt policy


à chaque modification ?

si tu es sous handylinux , je crois que vlc fait partie  des programmes installés par défaut .

regarde -- là -- et  -- là aussi --

ou encore là : logiciels handylinux

j'espère que nous ne nous sommes pas trompés  (enfin , quand je dis nous , c'est un peu moi aussi) . regardez :

Les dépôts se présentent sous forme d'adresses internet agrémentées de précisions sur la distribution (HandyLinux est basée sur Debian Wheezy) et les catégories (HandyLinux utilise les dépôts principaux “main”, de contributions “contrib” et non-libres “non-free”)
Vous pouvez activer ou désactiver un ou plusieurs dépôts, mais aussi en ajouter.



au sujet de wheezy (debian 7) remplaçant de wheezy (jessie,debian 8) et remplaçant de jessie (stretch , debian 9)

pour ton problème de pinning , gedeon54 , est ce que tu as essayé de créer un fichier "préférences" dans /etc/apt/  (avec les données de chalu  aux posts #16 , #29 ou #35) ?

Dernière modification par Debian Alain (11-10-2017 12:54:26)


1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#40 11-10-2017 12:49:18

Gedeon54
Membre
Distrib. : Handylinux 2.5 sous Debian 9 (Stretch)
Noyau : 4.9.0-3-amd64
(G)UI : XFCE + Gnome Shell
Inscription : 13-05-2017

Re : Les paquets cassés de VLC [RESOLU]

Bonjour !

Oui... je te donne un extrait de mon apt-policy après avoir fait un apt update...

500 ftp://ftp.deb-multimedia.org stretch-backports/main amd64 Packages
     release v=9.2,o=Unofficial Multimedia Packages,a=stable-backports,n=stretch-backports,l=Unofficial Multimedia Packages,c=main,b=amd64
     origin ftp.deb-multimedia.org
 500 ftp://ftp.deb-multimedia.org stretch/non-free amd64 Packages
     release v=9.2,o=Unofficial Multimedia Packages,a=stable,n=stretch,l=Unofficial Multimedia Packages,c=non-free,b=amd64
     origin ftp.deb-multimedia.org
 500 ftp://ftp.deb-multimedia.org stretch/main amd64 Packages
     release v=9.2,o=Unofficial Multimedia Packages,a=stable,n=stretch,l=Unofficial Multimedia Packages,c=main,b=amd64
     origin ftp.deb-multimedia.org
 


Oui, VLC était installé par défaut sur HandyLinux et fonctionait parfaitement... Pas de souci sauf depuis une mise à jour effectuée machinalement.

Hors ligne

#41 11-10-2017 12:56:17

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : win10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.12.0-2-amd64 (stretch)
(G)UI : GNOME 3.22.2 (stretch) 3.26.0 (buster)
Inscription : 11-03-2017

Re : Les paquets cassés de VLC [RESOLU]

regarde mon post #39 , parce que là , je sèche

au fait , j'ai une mauvaise nouvelle pour toi : l'avenir de handylinux

je crois , hélàs , à en voir cette page , que handylinux est en fin de  vie . bientôt mort .

va faloir que tu passes chez les grands , que tu commences à aborder des  choses compliquées .

tu n'as plus beaucoup de choix : passe à stretch .  mais ne t'inquiètes pas , tout D-F est là pour t'aider .

des nouvelles de stretch (stable , debian 9)

images installation de  stretch

Dernière modification par Debian Alain (11-10-2017 13:27:19)


1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#42 11-10-2017 13:43:01

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Les paquets cassés de VLC [RESOLU]

Bonjour

Debian Alain a écrit :

je crois , hélàs , à en voir cette page , que handylinux est en fin de  vie . bientôt mort


Handylinux est basé sur Jessie donc loin d’être mort, donc pas obligé de passer sous Stretch


banner223x19.png, WikiDF-->Découvrir les principales commandes Linux
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#43 11-10-2017 14:11:22

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : win10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.12.0-2-amd64 (stretch)
(G)UI : GNOME 3.22.2 (stretch) 3.26.0 (buster)
Inscription : 11-03-2017

Re : Les paquets cassés de VLC [RESOLU]

suite au post de croutons , j'ai cherché et j'ai trouvé ceci : handylinux et jessie

donc c'est le sources.list de jessie qu'il fallait mettre et pas  celui de stretch .

mais comme là , je veux pas faire d'erreur , je laisse faire les pros .

donc , en théorie , faudrait un /etc/apt/sources.list qui ressemble à çà :


deb http://httpredir.debian.org/debian/ jessie main contrib non-free
# deb-src http://httpredir.debian.org/debian/ jessie main contrib non-free
deb http://security.debian.org/ jessie/updates main contrib non-free
# deb-src http://security.debian.org/ jessie/updates main contrib non-free
deb http://httpredir.debian.org/debian/ jessie-updates main contrib non-free
# deb-src http://httpredir.debian.org/debian/ jessie-updates main contrib non-free
#
# les backports de jessie
deb http://ftp.debian.org/debian/ jessie-backports non-free contrib main  
# deb-src http://ftp.debian.org/debian/ jessie-backports main contrib non-free
#
# dépôts multimedia
deb http://www.deb-multimedia.org oldstable main
 



avec un /etc/apt/sources.list.d/handylinux.list
qui ressemble à ça :


deb http://repo.handylinux.org/debian/ jessie main
# deb-src http://repo.handylinux.org/debian/ jessie main
# deb http://repo.handylinux.org/debian/ testing main
# deb-src http://repo.handylinux.org/debian/ testing main
 



et un fichier de pinning
qui ressemble à ça :


Package: *
Pin: origin "www.deb-multimedia.org"
Pin-Priority: 100
 



à vérifier par plus calé que moi et à confirmer .

j'ai pas  envie de me planter deux fois de  suite ....

ça peut toujours servir : les cahiers du débutant

Dernière modification par Debian Alain (11-10-2017 14:31:10)


1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#44 11-10-2017 14:43:58

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Les paquets cassés de VLC [RESOLU]

Juste comme ça en passant le sources.list de Gedeon54 fait référence à stretch et non à Jessie
La seule référence à Jessie provient du dépôt de handylinux qui fournit les paquets des petits outils pour debutant

Hors ligne

#45 11-10-2017 15:08:57

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : win10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.12.0-2-amd64 (stretch)
(G)UI : GNOME 3.22.2 (stretch) 3.26.0 (buster)
Inscription : 11-03-2017

Re : Les paquets cassés de VLC [RESOLU]

comprends plus rien , moi .

donc , si je te  suis , chalu , faudrait faire :


#
# sources.list stretch non-free
#
# Debian stretch, dépôt principal + paquets non libres
deb http://deb.debian.org/debian/ stretch main contrib non-free
# Debian stretch, mises-à-jour de sécurité + paquets non libres
deb http://security.debian.org/ stretch/updates main contrib non-free
# Debian stretch, mises-à-jour "volatiles" + paquets non libres
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
# Debian stretch, dépôt de rétroportages ("backports")
deb http://deb.debian.org/debian stretch-backports main contrib non-free
#
# plus deb-multimedia
#
deb ftp://www.deb-multimedia.org stretch main non-free
deb ftp://www.deb-multimedia.org stretch-backports main
#
# et handylinux
#
deb http://repo.handylinux.org/debian/ jessie main
#
 



avec


Package: *
Pin: origin "www.deb-multimedia.org"
Pin-Priority: 100
 



suivi de

apt update && apt policy



j'pige plus rien , du coup ....

Dernière modification par Debian Alain (11-10-2017 15:42:27)


1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#46 11-10-2017 16:04:09

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Les paquets cassés de VLC [RESOLU]

Qu'est-ce que tu ne comprends pas ? Regarde le message #13 de Gedeon54
Il y donne son sources.list , il a migré vers stretch (c'est noté dans son profil)

Debian Alain a écrit :

deb ftp://www.deb-multimedia.org stretch main non-free
deb ftp://www.deb-multimedia.org stretch-backports main


Une rectification à faire pour les adresses que tu donnes pour le dépôt multimédia : ftp avec www ça ne va pas ensemble, c'est

deb http://www.deb-multimedia.org stretch main non-free
deb http://www.deb-multimedia.org stretch-backports main
 



@Gedeon54 peux-tu nous donner le retour de

sudo apt update

Hors ligne

#47 11-10-2017 16:28:07

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Les paquets cassés de VLC [RESOLU]

Gedeon54 a écrit :

Donc inutile de vous dire que rien ne change pour VLC! Il doit y avoir un vice caché! kernal_panic.gif


Tu peux tester voir ce qui se passe en désactivant le dépôt multimédia : il faut ajouter # devant chacune des deux lignes de ce dépôt dans le sources.list
Ensuite tu fais

sudo apt update


sudo apt install vlc


Les raisons du blocage seront peut être plus claires. Fais nous un copier coller de tes retours dans le terminal et c'est le seul moyen que l'on pour comprendre ce qui se passe.
On n'est pas à côté du PC et ça ne pollue pas ton fil, c'est le tien alors c'est important que toi tu donnes les retours du terminal wink

Hors ligne

#48 11-10-2017 18:52:06

Gedeon54
Membre
Distrib. : Handylinux 2.5 sous Debian 9 (Stretch)
Noyau : 4.9.0-3-amd64
(G)UI : XFCE + Gnome Shell
Inscription : 13-05-2017

Re : Les paquets cassés de VLC [RESOLU]

OK Chalu !
Aussitôt dit, aussitôt fait...

All packages are up to date.
 @handylinux ~
 $ sudo apt install vlc
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'
ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'
information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
 vlc : Dépend: vlc-bin (= 2.2.6-1~deb9u1) mais ne sera pas installé
       Dépend: vlc-plugin-base (= 2.2.6-1~deb9u1) mais ne sera pas installé
       Dépend: vlc-plugin-qt (= 2.2.6-1~deb9u1) mais ne sera pas installé
       Dépend: vlc-plugin-video-output (= 2.2.6-1~deb9u1) mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

Hors ligne

#49 11-10-2017 19:05:46

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Les paquets cassés de VLC [RESOLU]

Je pense qu'un paquet a été mis à jour sur le dépôt multimédia. Tu les as bien désactivé les deux lignes ?
On va voir le retour de

apt-cache policy vlc-bin libc6 libvlc-bin libvlc5

Hors ligne

#50 11-10-2017 20:39:24

Antic Bomber
Adhérent(e)
Lieu : O.P-O.66
Distrib. : jessie 8.6 & backports
Noyau : Linux 3.16.0.4 amd64
(G)UI : xfce
Inscription : 10-08-2014

Re : Les paquets cassés de VLC [RESOLU]

Soir les Dfs !

Pour le peu que j'ai suivi, VLC fonctionne très bien sur ma machine.

j'ai suivi les conseils de captnfab, et depuis tous roule !

Suis ce lien et au #2


https://debian-facile.org/viewtopic.php … 39#p228739


tu vires multimedia,org de tes sources-list, tu réinstalles dans un terminal

apt-get update




puis

apt-get install vlc




et en principe tu ne devrais plus avoir de problèmes

à pluche ! old_geek.gif


Si le problème a une solution, il ne sert à rien de s’inquiéter. Mais s'il n'en a pas, alors s'inquiéter ne change rien. (Proverbe Tibétain)

La connaissance s'acquiert par l'expérience, tout le reste n'est que de l'information.  Albert Einstein

Hors ligne

Pied de page des forums